
 <ion-header>
  <ion-toolbar>
    <ion-title>ActivityReport</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-segment [(ngModel)]="ActivityReport">
      <ion-segment-button value="Type">
        <ion-label>Add Activity Type</ion-label>
      </ion-segment-button>
      <ion-segment-button value="Name">
        <ion-label>Add Activity</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content padding>

  <div [ngSwitch]="ActivityReport">
    <ion-list *ngSwitchCase="'Type'">
      <form #typeForm="ngForm" (ngSubmit)="AddNewAct()">
        <ion-list>

          <ion-item>
            <ion-label position="floating">Activity Type</ion-label>
            <ion-input type="text" name="type" [(ngModel)]="ActType.Name" required></ion-input>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Description</ion-label>
            <ion-input type="text" name="desc" [(ngModel)]="ActType.Description" required></ion-input>
          </ion-item>

          <ion-item>
            <ion-button expand="full" [disabled]="!typeForm.form.valid" (click)="AddNewAct()">Submit</ion-button>
          </ion-item>
        </ion-list>
      </form>
    </ion-list>

    <ion-list *ngSwitchCase="'Name'">
      <div [hidden]="pageOne">
        <form #nameForm="ngForm" (ngSubmit)="getStud()">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Date</ion-label>
              <ion-datetime displayFormat="DD/MM/YYYY" [(ngModel)]="AddAct.AttendanceDate" name="date"
                required></ion-datetime>
            </ion-item>
            <!-- <ion-item>
              <ion-label position="floating">Batch</ion-label>
              <ion-select [(ngModel)]="AddAct.BatchId" name="batch" required>
                <ion-select-option *ngFor="let i of BatchCourseObj.Batches" [value]="i.Id">{{i.Name}}</ion-select-option>
              </ion-select>
            </ion-item> -->
            <ion-item>
              <ion-label position="floating">Batch</ion-label>
              <ion-select [(ngModel)]="AddAct.BatchId" name="batch" required>
                <!-- <ion-select-option *ngFor="let i of BatchCourseObj.Batches" [value]="i.Id">{{i.Name}}</ion-select-option> -->
                <ion-select-option>One</ion-select-option>
                <ion-select-option>Two</ion-select-option>
              </ion-select>
            </ion-item>
            
            
            <ion-item>
              <ion-label position="floating">Course</ion-label>
              <ion-select [(ngModel)]="AddAct.CourseId" name="course" required>
                <ion-select-option *ngFor="let x of BatchCourseObj.Courses" [value]="x.Id">{{x.Name}}</ion-select-option>
              </ion-select>
            </ion-item>

            <ion-item>
              <ion-button ion-button block [disabled]="!nameForm.form.valid">Next</ion-button>
            </ion-item>
          </ion-list>
        </form>
      </div>
      <div [hidden]="pageTwo">
        <form #addStud2Act="ngForm" (ngSubmit)="OnAddngStd()">
          <ion-list>
            <ion-searchbar [(ngModel)]="StudList.StudentName" [showCancelButton]="true" (ionInput)="onInput($event)"
              name="StudentName">
            </ion-searchbar>
            <ion-item>
              <ion-label  position="floating">Select</ion-label>
              <ion-select [(ngModel)]="AddStud.slct" (ngModelChange)="Select()" name="student">
                <ion-select-option *ngFor="let y of Soption" [value]="y.Id">{{y.Name}}</ion-select-option>
              </ion-select>
            </ion-item>
            <ion-item *ngFor="let c of StudList">
              <ion-label>{{c.StudentName}} </ion-label>
              <ion-toggle [(ngModel)]="c.isPresent" name="students" required></ion-toggle>
            </ion-item>

            <ion-item>
              <button ion-button block [disabled]="!addStud2Act.form.valid" type="submit">Add Students</button>
            </ion-item>
          </ion-list>
        </form>
      </div>
      <div [hidden]="pageThree">
        <form #AddDetails="ngForm" (ngSubmit)="FinalSubmit()">
          <ion-list>
            <ion-item>
              <ion-label  position="floating">Select Ativity</ion-label>
              <ion-select [(ngModel)]="ActSummary.ActivityId" name="activity" required>
                <ion-select-option *ngFor="let z of ActTypeList" [value]="z.Id">{{z.Name}}
                </ion-select-option>
              </ion-select>
            </ion-item>
      
            <ion-item>
              <ion-label position="stacked">What did they do?</ion-label>
              <ion-input type="text" [(ngModel)]="ActSummary.WhatDid" name="actSummary"
                placeholder="e.g. Sleeping,Eating" required></ion-input>
            </ion-item>
            
            
            <ion-item>
              <ion-label position="stacked">How much?</ion-label>
              <ion-input type="text" [(ngModel)]="ActSummary.HowMuch" name="Quantity" placeholder="e.g. 1 hour, 1 Bowl "
                required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="stacked">When?</ion-label>
              <ion-input type="text" [(ngModel)]="ActSummary.When" name="when" placeholder=" e.g. 10am,evening"
                required></ion-input>
            </ion-item>
            <ion-item>
              <ion-label position="stacked">Comments</ion-label>
              <ion-input type="text" [(ngModel)]="ActSummary.Comments" name="comments"
                placeholder="Say something..."></ion-input>
            </ion-item>
            <ion-item>
              <button ion-button block [disabled]="!AddDetails.form.valid" type="submit">Save</button>
            </ion-item>
          </ion-list>
        </form>
      </div>
    </ion-list>
  </div>

</ion-content>
